## latex2rtf 2.3.3

=== Makefile ===
CC?=gcc
TAR?=gnutar
RM?=rm -f
MKDIR?=mkdir -p
RMDIR?=rm -rf
PKGMANDIR?=man

#reasonable flags for developing
#CFLAGS = -g -D_FORTIFY_SOURCE=2 -Wall -Waggregate-return -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls -Wshadow -Wstrict-prototypes -Wformat=2

PLATFORM?=-DUNIX   # Mac OS X, Linux, BSD
#PLATFORM?=-DMSDOS # Windows/DOS
#PLATFORM?=-DOS2   # OS/2 (does anyone still use this?)
#PLATFORM?=-DMSDOS -DNOSTDERR  # Windows/DOS without stderr

#Uncomment for some windows machines (neither needed for djgpp nor for MinGW)
#EXE_SUFFIX=.exe

#Base directory - adapt as needed
# Unix:
DESTDIR?=/usr/local
#Uncomment next 2 lines for Windows
#DESTDIR_DRIVE=C:
#DESTDIR?=$(DESTDIR_DRIVE)/PROGRA~1/latex2rtf

#Name of executable binary --- beware of 8.3 restriction under DOS
BINARY_NAME=latex2rtf$(EXE_SUFFIX)

# Location of binary, man, info, and support files - adapt as needed
BINDIR=/bin
MANDIR=/share/$(PKGMANDIR)/man1
INFODIR=/share/info
SUPPORTDIR=/share/latex2rtf
CFGDIR=/share/latex2rtf/cfg

#Uncomment next 5 lines for Windows
#BINDIR=
#MANDIR=
#INFODIR=
#SUPPORTDIR=
#CFGDIR=/cfg

# Nothing to change below this line - except:
# for Windows, change "all : checkdir latex2rtf" to "all : latex2rtf"

CFLAGS:=$(CFLAGS) $(PLATFORM)

LIBS= -lm

L2R_VERSION:="latex2rtf-`grep 'Version' version.h | sed 's/[^"]*"\([^" ]*\).*/\1/'`"

SRCS=commands.c chars.c direct.c encodings.c fonts.c funct1.c tables.c ignore.c \
	main.c stack.c cfg.c utils.c parser.c lengths.c counters.c letterformat.c \
	preamble.c equations.c convert.c xrefs.c definitions.c graphics.c \
	mygetopt.c styles.c preparse.c vertical.c fields.c \
	labels.c biblio.c acronyms.c auxfile.c

HDRS=commands.h chars.h direct.h encodings.h fonts.h funct1.h tables.h ignore.h \
    main.h stack.h cfg.h utils.h parser.h lengths.h counters.h letterformat.h \
    preamble.h equations.h convert.h xrefs.h definitions.h graphics.h encoding_tables.h \
    version.h mygetopt.h styles.h preparse.h vertical.h fields.h labels.h biblio.h acronyms.h \
	auxfile.h

CFGS=cfg/fonts.cfg cfg/direct.cfg cfg/ignore.cfg cfg/style.cfg \
    cfg/afrikaans.cfg cfg/bahasa.cfg cfg/basque.cfg cfg/brazil.cfg cfg/breton.cfg \
    cfg/catalan.cfg cfg/croatian.cfg cfg/czech.cfg cfg/danish.cfg cfg/dutch.cfg \
    cfg/english.cfg cfg/esperanto.cfg cfg/estonian.cfg cfg/finnish.cfg cfg/french.cfg \
    cfg/galician.cfg cfg/german.cfg cfg/icelandic.cfg cfg/irish.cfg cfg/italian.cfg \
    cfg/latin.cfg cfg/lsorbian.cfg cfg/magyar.cfg cfg/norsk.cfg cfg/nynorsk.cfg \
    cfg/polish.cfg cfg/portuges.cfg cfg/romanian.cfg cfg/samin.cfg cfg/scottish.cfg \
    cfg/serbian.cfg cfg/slovak.cfg cfg/slovene.cfg cfg/spanish.cfg cfg/swedish.cfg \
    cfg/turkish.cfg cfg/usorbian.cfg cfg/welsh.cfg cfg/russian.cfg \
    cfg/ukrainian.cfg cfg/frenchb.cfg cfg/greek.cfg cfg/british.cfg

DOCS= doc/latex2rtf.1   doc/latex2png.1    doc/latex2rtf.texi doc/latex2rtf.pdf \
      doc/latex2rtf.txt doc/latex2rtf.info doc/latex2rtf.html doc/credits \
      doc/copying.txt   doc/Makefile       doc/latex2pn.txt  doc/latex2rt.txt

README= README README.DOS README.Mac README.OS2 README.Solaris README.VMS README.OSX \
        Copyright ChangeLog

SCRIPTS= scripts/latex2png scripts/latex2png_1 scripts/latex2png_2 \
	scripts/pdf2pnga scripts/README \
	scripts/Makefile scripts/test1.tex scripts/test2.tex scripts/test3.tex \
	scripts/test3a.tex scripts/test4.tex scripts/test1fig.eps

TEST=  \
	test/Makefile                test/enc_cp852.tex      test/fig_testd.pdf     \
	test/accentchars.tex         test/enc_cp855.tex      test/fig_testd.ps      \
	test/align.tex               test/enc_cp865.tex      test/fig_teste.pdf     \
	test/array.tex               test/enc_cp866.tex      test/fig_testf.png     \
	test/babel_czech.tex         test/enc_decmulti.tex   test/fig_tex.eps       \
	test/babel_french.tex        test/enc_koi8-r.tex     test/fonts.tex         \
	test/babel_frenchb.tex       test/enc_koi8-u.tex     test/fontsize.tex      \
	test/babel_german.tex        test/enc_latin1.tex     test/fonttest.tex      \
	test/babel_russian.tex       test/enc_latin2.tex     test/frac.tex          \
	test/babel_spanish.tex       test/enc_latin3.tex     test/geometry.tex      \
	test/bib_apacite.tex         test/enc_latin4.tex     test/geotest.tex       \
	test/bib_apacite_dblsp.tex   test/enc_latin5.tex     test/german.tex        \
	test/bib_apalike.tex         test/enc_latin9.tex     test/head_article.tex  \
	test/bib_apalike2.tex        test/enc_maccyr.tex     test/head_book.tex     \
	test/bib_apanat.tex          test/head_report.tex                           \
	test/bib_authordate.tex      test/enc_next.tex       test/hndout.sty        \
	test/bib_harvard.bib         test/enc_utf8x.tex      test/ifclause.tex      \
	test/bib_harvard.tex         test/endnote.tex        test/include.tex       \
	test/bib_natbib1.tex         test/eqnnumber.tex      test/include1.tex      \
	test/bib_natbib2.tex         test/eqnnumber2.tex     test/include2.tex      \
	test/bib_natbib3.tex         test/eqns-koi8.tex      test/include3.tex      \
	test/bib_simple.bib          test/eqns.tex           test/linux.tex         \
	test/bib_simple.tex          test/eqns2.tex          test/list.tex          \
	test/bib_super.tex           test/essential.tex      test/logo.tex          \
	test/bibentry_apalike.bib    test/excalibur.tex      test/misc1.tex         \
	test/bibentry_apalike.tex    test/fancy.tex          test/misc2.tex         \
	test/bibentry_plain.bib      test/fig_endfloat.tex   test/misc3.tex         \
	test/bibentry_plain.tex      test/fig_oval.eps       test/misc4.tex         \
	test/box.tex                 test/fig_oval.pict      test/oddchars.tex      \
	test/bracecheck              test/fig_oval.png       test/overstrike.tex    \
	test/ch.tex                  test/fig_size.tex       test/percent.tex       \
	test/chem.tex                test/fig_test.eps       test/picture.tex       \
	test/color.tex               test/fig_test.tex       test/qualisex.tex      \
	test/dblspace.tex            test/fig_test2.tex      test/report.tex        \
	test/defs.tex                test/fig_test3.tex      test/spago1.tex        \
	test/enc_applemac.tex        test/fig_test4.tex      test/subsup.tex        \
	test/enc_cp1250.tex          test/fig_testa.eps      test/tabbing.tex       \
	test/enc_cp1251.tex          test/fig_testb.pdf      test/tabular.tex       \
	test/enc_cp1252.tex          test/fig_testb.ps       test/theorem.tex       \
	test/enc_cp437.tex           test/fig_testc.pdf      test/ttgfsr7.tex       \
	test/enc_cp850.tex           test/fig_testc.ps       test/ucsymbols.tex     \
	test/bib_apa.tex             test/bib_apa.bib        test/bib_apacite2.tex  \
	test/bib_apacite2.bib        test/fig_subfig.tex     test/include4.tex      \
	test/include5.tex            test/hyperref.tex       test/bib_super.bib     \
	test/longstack.tex           test/table_array1.tex   test/table_array2.tex  \
	test/bib_apacite3.tex        test/bib_apacite3.bib   test/color2.tex        \
	test/fig_png.tex             test/fig_10x15.png      test/psfig.sty         \
	test/cyrillic.tex            test/greek.tex          test/direct.tex        \
	test/acronym.tex             test/acronym.bib        test/style.tex         \
	test/enc_moroz_koi8.tex      test/enc_moroz_ot2.tex  test/enc_moroz_utf8.tex\
	test/enc_ot2.tex             test/keywords.tex       test/bib_natbib4.tex   \
	test/graphicspath.tex        test/bib_style.tex
	
OBJS=fonts.o direct.o encodings.o commands.o stack.o funct1.o tables.o \
	chars.o ignore.o cfg.o main.o utils.o parser.o lengths.o counters.o \
	preamble.o letterformat.o equations.o convert.o xrefs.o definitions.o graphics.o \
	mygetopt.o styles.o preparse.o vertical.o fields.o \
	labels.o biblio.o auxfile.o	acronyms.o

all : checkdir latex2rtf    # Windows: remove "checkdir"

latex2rtf: $(OBJS) $(HDRS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS)	$(LIBS) -o $(BINARY_NAME)

cfg.o: Makefile cfg.c
	$(CC) $(CFLAGS) -DCFGDIR=\"$(DESTDIR)$(CFGDIR)\" -c cfg.c -o cfg.o

main.o: Makefile main.c
	$(CC) $(CFLAGS) -DCFGDIR=\"$(DESTDIR)$(CFGDIR)\" -c main.c -o main.o

check test: latex2rtf
	cd test && $(MAKE) clean
	cd test && $(MAKE)
	cd test && $(MAKE) check
	
fullcheck: latex2rtf
	cd scripts && $(MAKE)
	cd test && $(MAKE) clean
	cd test && $(MAKE) all
	cd test && $(MAKE) check

checkdir: $(README) $(SRCS) $(HDRS) $(CFGS) $(SCRIPTS) $(TEST) doc/latex2rtf.texi Makefile vms_make.com

clean: checkdir
	-$(RM) $(OBJS) core $(BINARY_NAME)
	-$(RMDIR) tmp

depend: $(SRCS)
	$(CC) -MM $(SRCS) >makefile.depend
	@echo "***** Append makefile.depend to Makefile manually ******"

dist: checkdir releasedate latex2rtf doc $(SRCS) $(HDRS) $(CFGS) $(README) Makefile vms_make.com $(SCRIPTS) $(DOCS) $(TEST)
	$(MAKE) releasedate
	$(MKDIR) $(L2R_VERSION)
	$(MKDIR) $(L2R_VERSION)/cfg
	$(MKDIR) $(L2R_VERSION)/doc
	$(MKDIR) $(L2R_VERSION)/test
	$(MKDIR) $(L2R_VERSION)/scripts
	ln $(SRCS)         $(L2R_VERSION)
	ln $(HDRS)         $(L2R_VERSION)
	ln $(README)       $(L2R_VERSION)
	ln Makefile        $(L2R_VERSION)
	ln vms_make.com    $(L2R_VERSION)
	ln $(CFGS)         $(L2R_VERSION)/cfg
	ln $(DOCS)         $(L2R_VERSION)/doc
	ln $(SCRIPTS)      $(L2R_VERSION)/scripts
	ln $(TEST)         $(L2R_VERSION)/test
	$(TAR) cvfz $(L2R_VERSION).tar.gz $(L2R_VERSION)
	$(RMDIR) $(L2R_VERSION)

uptodate:
	perl -pi.bak -e '$$date=scalar localtime; s/\(.*/($$date)";/' version.h
	$(RM) version.h.bak

releasedate:
	perl -pi.bak -e '$$date=scalar localtime; s/\(.*/(released $$date)";/; s/d ..../d /;s/\d\d:\d\d:\d\d //;' version.h
	$(RM) version.h.bak

doc: doc/latex2rtf.texi doc/Makefile
	cd doc && $(MAKE) -k

install: latex2rtf doc/latex2rtf.1 $(CFGS) scripts/latex2png
	cd doc && $(MAKE)
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)
	$(MKDIR) $(DESTDIR)$(CFGDIR)
	cp -p $(BINARY_NAME)     $(DESTDIR)$(BINDIR)
	cp -p scripts/latex2png  $(DESTDIR)$(BINDIR)
	cp -p doc/latex2rtf.1    $(DESTDIR)$(MANDIR)
	cp -p doc/latex2png.1    $(DESTDIR)$(MANDIR)
	cp -p $(CFGS)            $(DESTDIR)$(CFGDIR)
	cp -p doc/latex2rtf.html $(DESTDIR)$(SUPPORTDIR)
	cp -p doc/latex2rtf.pdf  $(DESTDIR)$(SUPPORTDIR)
	cp -p doc/latex2rtf.txt  $(DESTDIR)$(SUPPORTDIR)
	@echo "******************************************************************"
	@echo "*** latex2rtf successfully installed as \"$(BINARY_NAME)\""
	@echo "*** in directory \"$(DESTDIR)$(BINDIR)\""
	@echo "***"
	@echo "*** \"make install-info\" will install TeXInfo files "
	@echo "***"
	@echo "*** latex2rtf was compiled to search for its configuration files in"
	@echo "***           \"$(DESTDIR)$(CFGDIR)\" "
	@echo "***"
	@echo "*** If the configuration files are moved then either"
	@echo "***   1) set the environment variable RTFPATH to this new location, or"
	@echo "***   2) use the command line option -P /path/to/cfg, or"
	@echo "***   3) edit the Makefile and recompile"
	@echo "******************************************************************"

install-info: doc/latex2rtf.info
	$(MKDIR) $(DESTDIR)$(INFODIR)
	cp -p doc/latex2rtf.info $(DESTDIR)$(INFODIR)
	install-info --info-dir=$(DESTDIR)$(INFODIR) doc/latex2rtf.info

realclean: checkdir clean
	$(RM) makefile.depend $(L2R_VERSION).tar.gz
	cd doc && $(MAKE) clean
	cd test && $(MAKE) clean

appleclean:
	sudo xattr -r -d com.apple.FinderInfo ../trunk
	sudo xattr -r -d com.apple.TextEncoding ../trunk
	
splint:
	splint -weak $(SRCS) $(HDRS)
	
.PHONY: all check checkdir clean depend dist doc install install_info realclean latex2rtf uptodate releasedate splint fullcheck

# created using "make depend"
commands.o: commands.c cfg.h main.h convert.h chars.h fonts.h preamble.h \
  funct1.h tables.h equations.h letterformat.h commands.h parser.h \
  xrefs.h ignore.h lengths.h definitions.h graphics.h vertical.h \
  encodings.h labels.h acronyms.h biblio.h
chars.o: chars.c main.h commands.h fonts.h cfg.h ignore.h encodings.h \

=== debian/changelog ===
latex2rtf (2.3.3-0.3) unstable; urgency=low

  * NMU
  * debian/latex2rtf-doc.preinst: Remove symlink directory in a policy
    compliant way (closes: #720152).

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Sep 2013 23:50:57 +0200

latex2rtf (2.3.3-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Updated.
  * debian/patches/ftbfs_fix_makeinfo.patch: Added.
    - Fix a newly occurred FTBFS running makeinfo.
  * debian/patches/series: Added.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 14:19:46 +0200

latex2rtf (2.3.3-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches/manpage_formal_fixes.patch: Updated.
  * debian/patches/man_html.patch: Ditto.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 10 Mar 2013 13:15:39 +0100

latex2rtf (2.3.1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (closes: #611531).
    - Builds with latest gcc (closes: #641533).
    - Optional argument to \cite isn't ignored (closes: #383183).
    - Compiles footnotesize environment (closes: #563394).
    - Fixed output handling (LP: #327846).

  * debian/compat: Bumped dh compat level to 7.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends, Build-Depends-Indep): Increased dh version. Added texlive
    packages. Dropped jadetex.
    (Depends): Added missing ${misc:Depends}.
  * debian/copyright: Updated.
  * debian/dirs: Dropped useless file.
  * debian/latex2rtf-doc.dirs: Ditto.
  * debian/latex2rtf-doc.doc-base: Adjusted paths.
  * debian/latex2rtf-doc.info: Added.
  * debian/latex2rtf-doc.install: Ditto.
  * debian/latex2rtf-doc.links: Ditto.
  * debian/latex2rtf.install: Ditto.
  * debian/rules: Rewritten for debhelper 7 including hardening. Moved dh
    command file argiments into files. Install everything into debian/tmp
    and install files from there to packages.
  * debian/watch: Added.
  * debian/patches/man_html.patch: Added.
    - Replace unpackaged man2html command call.
  * debian/patches/manpage_formal_fixes.patch: Added.
    - Fix several issues related to the manual pages. Add info-dir-section.
  * debian/patches/series: Added.
  * debian/source/format: Added for format 3.0.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 20 Nov 2012 21:07:24 +0100

latex2rtf (1.9.19-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add info-dir-section to latex2rtf.info (Closes: #528878)

 -- Julian Gilbey <jdg@debian.org>  Thu, 14 Jun 2012 12:30:11 +0100

latex2rtf (1.9.19-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-dependency from tetex to texlive (Closes: #562348)
  * Add ${misc:Depends} dependency

 -- Christoph Egger <christoph@debian.org>  Sat, 13 Feb 2010 00:30:30 +0100

latex2rtf (1.9.19-4) unstable; urgency=low

  * Move tofrodos to Build-Depends from Build-Depends-Indep, since todos
    appears in the clean target in debian/rules.  (Closes: #482378)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 May 2008 16:09:22 -0500

latex2rtf (1.9.19-3) unstable; urgency=low

  * Convert latex2rtf.texi to Unix line endings.  (Closes: #482161)
  * Clean up diff from upstream to reduce doc diffs which will just get
    clobbered during the build anyway.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 May 2008 20:48:36 -0500

latex2rtf (1.9.19-2) unstable; urgency=low

  * Fix FTBFS for binary rebuilds.  (Closes: #479622)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 13 May 2008 03:25:50 -0500

latex2rtf (1.9.19-1) unstable; urgency=low

  * New upstream release.  (Closes: #462416)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 05 May 2008 12:43:04 -0500

latex2rtf (1.9.16a-3) unstable; urgency=low

  * Depend on tetex-bin | texlive-base.  (Closes: #385237, #416277)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 26 Mar 2007 11:07:17 -0500

latex2rtf (1.9.16a-2) unstable; urgency=low

  * Depend on netpbm.  (Closes: #369397)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 May 2006 20:04:47 -0400

latex2rtf (1.9.16a-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control so latex2rtf-doc appears in the section listed
    in the override file.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Nov 2004 01:56:23 -0600

latex2rtf (1.9.16-1) unstable; urgency=low

  * New upstream release.
  * \succ <-> \prec fixed.  (Closes: #232910)
  * Solves choking on empty commands.  (Closes: #238572)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Nov 2004 19:24:13 -0600

latex2rtf (1.9.15-2) unstable; urgency=high

  * Apply patch to definitions.c from Jason Copenhaver that should solve
    buffer overflow exploit.  (Closes: #272612)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 20 Sep 2004 20:13:03 -0500

latex2rtf (1.9.15-1) unstable; urgency=low

  * New upstream release.
    + Upstream fixed figure file in subdirectory problem.  (Closes: #224651)
    + Upstream fixed -o option.  (Closes: #203719)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Feb 2004 17:45:56 -0600

latex2rtf (1.9.14-2) unstable; urgency=low

  * Comment out the installation of the documentation files from the
    upstream Makefile.  (Closes: #198893)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Jun 2003 17:04:18 -0500

latex2rtf (1.9.14-1) unstable; urgency=low

  * New upstream release.  (Closes: #186309)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 24 Jun 2003 13:52:31 -0500

latex2rtf (1.9.13-3) unstable; urgency=low

  * Downgrade latex2rtf-doc to a suggestion.  (Closes: #140084)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 12 Jun 2002 23:14:54 -0500

latex2rtf (1.9.13-2) unstable; urgency=low

  * Fix build failure when building binary-only parts.  (Closes: #143076)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 15 Apr 2002 19:20:36 -0500

latex2rtf (1.9.13-1) unstable; urgency=low

  * New upstream release.  (Closes: #142807)


=== debian/control ===
Source: latex2rtf
Section: tex
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>> 7.0.50~),
               groff,
               texinfo,
               texlive-bibtex-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tofrodos
Homepage: http://latex2rtf.sourceforge.net

Package: latex2rtf
Architecture: any
Depends: imagemagick | graphicsmagick-imagemagick-compat,
         netpbm,
         texlive-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: latex2rtf-doc
Enhances: tetex-base, texlive-base
Description: Converts documents from LaTeX to RTF format
 Attempts to convert as much formatting information as possible from
 LaTeX to Microsoft's Rich Text Format (RTF).  While RTF has limited
 support for mathematical markup, it is widely supported as a "least
 common denominator" word processing format.
 .
 The detailed documentation is in the latex2rtf-doc package.

Package: latex2rtf-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Converts documents from LaTeX to RTF - documentation
 Attempts to convert as much formatting information as possible from
 LaTeX to Microsoft's Rich Text Format (RTF).  While RTF has limited
 support for mathematical markup, it is widely supported as a "least
 common denominator" word processing format.
 .
 This package includes the documentation for LaTeX2RTF in HTML, Info
 and PDF formats.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

CFLAGS  ?= $(shell dpkg-buildflags --get CFLAGS) -DUNIX
CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build-arch:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DESTDIR=/usr PLATFORM=-DUNIX latex2rtf

override_dh_auto_build-indep:
	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
		cp -a $$file $$file.orig; \
	done
	fromdos doc/latex2rtf.texi
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DESTDIR=/usr PLATFORM=-DUNIX doc

override_dh_auto_install:
	mkdir --parents $(CURDIR)/debian/tmp/usr/share/doc/latex2rtf-doc/
	dh_auto_install -- SUPPORTDIR=/share/doc/latex2rtf-doc/ DESTDIR=$(CURDIR)/debian/tmp/usr
	chmod a-x $(CURDIR)/debian/tmp/usr/share/latex2rtf/cfg/*

override_dh_auto_clean:
	dh_auto_clean -- realclean

override_dh_clean:
	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
		test ! -f $$file.orig || mv $$file.orig $$file; \
	done
	dh_clean test/hyperref.out

override_dh_install:
	dh_install --list-missing

override_dh_installdocs:
	dh_installdocs -A

override_dh_installchangelogs:
	dh_installchangelogs -A ChangeLog

## latex2rtf 2.3.4

=== debian/changelog ===
latex2rtf (2.3.4-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.
  * debian/rules (override_dh_auto_build-indep): Create missing files.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 13 Dec 2013 23:31:30 +0100

## latex2rtf 2.3.5

=== doc/Makefile ===
all:	latex2rtf.info latex2rtf.pdf latex2rtf.txt \
		latex2pn.txt latex2rt.txt 

latex2rtf.html:	latex2rtf.texi
	makeinfo --html --no-split --no-headers latex2rtf.texi > latex2rtf.html
	chmod 644 latex2rtf.html

latex2rtf.info: latex2rtf.texi
	makeinfo latex2rtf
	chmod 644 latex2rtf.info

latex2rtf.txt:  latex2rtf.texi
	makeinfo --no-headers latex2rtf > latex2rtf.txt
	chmod 644 latex2rtf.txt

latex2rtf.pdf : latex2rtf.texi
	texi2dvi --pdf latex2rtf.texi
	chmod 644 latex2rtf.pdf

latex2pn.txt: latex2png.1
	man ./latex2png.1 | col -b > latex2pn.txt

latex2rt.txt: latex2rtf.1
	man ./latex2rtf.1 | col -b > latex2rt.txt

web/manpage.html: header.html footer.html latex2rtf.1
	man ./latex2rtf.1 | man2html --pgsize=100000 --bare > mid.html
	perl -pi.bak -e 's/^ {3}//' mid.html
	cat header.html mid.html footer.html > man.html
	sed "s/HHTITLEHH/latex2rtf: man page/" man.html > web/manpage.html
	rm mid.html mid.html.bak man.html

web/latex2png.html: header.html footer.html latex2png.1
	man ./latex2png.1 | man2html --pgsize=100000 --bare > mid.html
	perl -pi.bak -e 's/^ {3}//' mid.html
	cat header.html mid.html footer.html > man.html
	sed "s/HHTITLEHH/latex2rtf: man mage/" man.html > web/latex2png.html
	rm mid.html mid.html.bak man.html

web/usage.html: header.html footer.html latex2rtf.html
    # drop first 24 lines
	tail -n +24 latex2rtf.html > temp1.html
	# drop last 3 lines
	sed -n -e :a -e '1,3!{P;N;D;};N;ba' temp1.html > temp2.html
	# assemble
	cat header.html temp2.html footer.html > temp3.html
	# insert title
	sed "s/HHTITLEHH/latex2rtf: User's Manual/" temp3.html > temp4.html
	# makeinfo creates html files using name=
	sed "s/name=/id=/" temp4.html > web/usage.html
	rm -f temp1.html temp2.html temp3.html temp4.html

install: web/usage.html web/manpage.html web/latex2png.html
	rsync -ave ssh web/ web.sourceforge.net:/home/project-web/latex2rtf/htdocs

clean:
	rm -f *.aux *.toc *.fn *.fns *.ky *.log *.pg *.tp *.vr *.vrs \
	*.cp *.cps *.ind *.ilg *.tmp
	rm -f latex2rt.txt latex2pn.txt

realclean:	clean
	rm -f latex2rtf.pdf latex2rtf.info latex2rtf.txt latex2rtf.html
	rm -f latex2rtf.hlp latex2png.hlp
	rm -f web/usage.html web/latex2png.html web/manpage.html
	rm -f latex2pn.txt latex2rt.txt
	
.PHONY: install clean realclean

=== debian/changelog ===
latex2rtf (2.3.5-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * debian/latex2rtf-doc.preinst: Don't print commands (closes: #735945).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 19 Jan 2014 01:00:51 +0100

latex2rtf (2.3.4-0.2) unstable; urgency=low

  * NMU
  * debian/patches/man_html.patch: Updated.
    - Create latex2rtf.html to fix FTBFS (closes: #732402).

 -- Daniel Leidert <dleidert@debian.org>  Mon, 06 Jan 2014 21:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>> 7.0.50~),
                groff,
                texinfo,

## latex2rtf 2.3.7a

=== debian/changelog ===
latex2rtf (2.3.7a-0.1) unstable; urgency=medium

  * NMU
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 10 May 2014 23:17:33 +0200

latex2rtf (2.3.6-0.1) unstable; urgency=low

  * NMU
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 22 Feb 2014 16:45:03 +0100

## latex2rtf 2.3.8

=== debian/changelog ===
latex2rtf (2.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 16 Aug 2014 20:39:28 -0400

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DESTDIR=/usr PLATFORM=-DUNIX latex2rtf
 
 override_dh_auto_build-indep:
+	$(MAKE) -C doc all latex2rtf.html web/manpage.html web/latex2png.html
 	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
 	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
 		cp -a $$file $$file.orig; \

=== debian/watch ===
version=3
http://sf.net/latex2rtf/latex2rtf-([\d.]+)\.tar\.gz

## latex2rtf 2.3.10

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 all:	latex2rtf.info latex2rtf.pdf latex2rtf.txt \
-		latex2pn.txt latex2rt.txt 
+		latex2pn.txt latex2rt.txt latex2rtf.html 
 
 latex2rtf.html:	latex2rtf.texi
 	makeinfo --html --no-split --no-headers latex2rtf.texi > latex2rtf.html

=== debian/changelog ===
latex2rtf (2.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 26 Mar 2016 22:42:04 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>> 7.0.50~),
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9),
                groff,
                texinfo,
                texlive-bibtex-extra,

## latex2rtf 2.3.16

=== debian/changelog ===
latex2rtf (2.3.16-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 30 Sep 2017 23:30:04 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9),
                groff,
                texinfo,

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-CFLAGS  ?= $(shell dpkg-buildflags --get CFLAGS) -DUNIX
-CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+#CFLAGS  ?= $(shell dpkg-buildflags --get CFLAGS) -DUNIX
+#CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+#LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_build-arch:
-	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DESTDIR=/usr PLATFORM=-DUNIX latex2rtf
+	dh_auto_build -- DESTDIR=/usr PLATFORM=-DUNIX latex2rtf
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc all latex2rtf.html web/manpage.html web/latex2png.html
@@ -26,14 +26,15 @@
 	chmod a-x $(CURDIR)/debian/tmp/usr/share/latex2rtf/cfg/*
 
 override_dh_auto_clean:
-	dh_auto_clean -- realclean
+	dh_auto_clean -- realclean || true
 
-override_dh_clean:
+override_dh_clean::
+	dh_clean
+	rm -f doc/latex2rtf.pdf doc/latex2rtf.html doc/latex2rtf.info doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html
 	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
 	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
 		test ! -f $$file.orig || mv $$file.orig $$file; \
 	done
-	dh_clean test/hyperref.out
 
 override_dh_install:
 	dh_install --list-missing

## latex2rtf 2.3.18

=== debian/changelog ===
latex2rtf (2.3.18-3) unstable; urgency=medium

  * Allow building with bsdmainutils << 2.35.2-3 in case anyone wants to
    backport this package.
  * Allow rootless build.
  * Remove redundant debhelper rules, bump to compat 13.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jun 2020 22:19:55 -0400

latex2rtf (2.3.18-2) unstable; urgency=medium

  * Fix cross-building of latex2rtf. (Closes: #901178)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jun 2020 16:24:13 -0400

latex2rtf (2.3.18-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS by now build-depending on bsdextrautils. (Closes: #963414)
  * Upstream includes the test directory, so we can now drop patches that
    ignored it.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jun 2020 14:31:47 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 13),
+               dpkg-dev (>= 1.16.1.1),
+               texlive-latex-extra,
+               texlive-fonts-recommended,
                groff,
                texinfo,
                texlive-bibtex-extra,
-               texlive-fonts-recommended,
-               texlive-latex-extra,
-               texlive-latex-recommended,
-               tofrodos
+               tofrodos,
+               bsdextrautils | bsdmainutils (<< 2.35.2-3),
+               man2html
+Rules-Requires-Root: no
 Homepage: http://latex2rtf.sourceforge.net
 
 Package: latex2rtf

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- PREFIX=/usr DESTDIR=/usr PLATFORM=-DUNIX latex2rtf

override_dh_auto_build-indep:
	$(MAKE) -C doc all latex2rtf.html web/manpage.html web/latex2png.html
	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
		cp -a $$file $$file.orig; \
	done
	fromdos doc/latex2rtf.texi
	dh_auto_build -- PREFIX=/usr DESTDIR=/usr PLATFORM=-DUNIX doc

# TODO: disentagle installation of docs from rest of package
override_dh_auto_install:
	mkdir --parents $(CURDIR)/debian/tmp/usr/share/doc/latex2rtf-doc/
	dh_auto_install -- SUPPORTDIR=/usr/share/doc/latex2rtf-doc/ PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp/
	chmod a-x $(CURDIR)/debian/tmp/usr/share/latex2rtf/cfg/*

override_dh_auto_clean:
	dh_auto_clean -- realclean || true

override_dh_clean::
	dh_clean
	rm -f doc/latex2rtf.pdf doc/latex2rtf.html doc/latex2rtf.info doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html
	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
		test ! -f $$file.orig || mv $$file.orig $$file; \
	done

override_dh_auto_test:
	dh_auto_test -- LATEX2RTF='RTFPATH="../cfg" ../latex2rtf'
